Subject: RFE: chmod "-D" operate on dir's only
From: Linda Walsh <[email-masked]>
To: [email-masked]
Date: Tue, 24 May 2011 18:57:02 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

I know one can (and I usually do) construct a find command to do
this, but it's something I do so often, and it's a natural 'pair'
for what is often done with chmod.

If I want to make sure a dir tree is readable/accessable
by a group or other, I usually do:

  chmod -R g+r,o+r .
  find . -type d -print0|xargs -0 chmod g+x,o+x

What'd be a great addition to chmod is for it to have an option
for chmod to only work on dirs.  (is -D taken?)

So instead of the 2nd line above:

  chmod -DR g+x,o+x

----
What'cha think?

Is that a useful and logical addition for chmod?